Last Comment Bug 322778 - about:config fails to update security.enable_java
: about:config fails to update security.enable_java
Status: RESOLVED INVALID
:
Product: Firefox
Classification: Client Software
Component: Preferences (show other bugs)
: unspecified
: PowerPC Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 535594
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-08 16:25 PST by Bob Clary [:bc:]
Modified: 2012-03-22 22:14 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Bob Clary [:bc:] 2006-01-08 16:25:26 PST
1. about:config
2. change security.enable_java to false
3. quit browser
4. restart

expect security.enable_java to remain false.
actual security.enable_java is still true.

Mac OS, but not Windows. Not sure about Linux.

This has security implications since it makes it difficult(impossible?) to disable java on mac os x.
Comment 1 Bob Clary [:bc:] 2006-01-08 16:26:13 PST
Forgot to mention: trunk and 1.5 exhibit the same problem.
Comment 2 Daniel Veditz [:dveditz] 2006-01-09 08:58:48 PST
Have you tried a fresh profile just in case it's some corruption that prevents saving prefs.js (java is enabled by default)? Or a different Mac altogether?

What if you use the Options dialog UI for disabling Java? (Probably the same)

What if you manually edit all.js to turn java off?

Could it be something in the JEP that won't let Java be turned off? That's the main Java difference between Mac and the other platforms.
Comment 3 Steven Michaud [:smichaud] (Retired) 2006-01-09 09:35:31 PST
> Could it be something in the JEP that won't let Java be turned off?

No.  The JEP never alters (or even looks at) browser settings.

And in any case I'm not able to reproduce this with Firefox 1.5.  Later on
(maybe tonight) I'll try it with the latest branch and trunk nightlies.

Comment 4 Bob Clary [:bc:] 2006-01-09 10:19:53 PST
(In reply to comment #2)
> Have you tried a fresh profile just in case it's some corruption that prevents
> saving prefs.js (java is enabled by default)? Or a different Mac altogether?
> 

I tried with a new profile and could not reproduce the problem in Firefox 1.5. about:config and Options dialog both worked and persisted the setting after shutdown and restart of the browser. 

WFM? Is the profile issue worth investigating?
Comment 5 Steven Michaud [:smichaud] (Retired) 2006-01-09 20:38:54 PST
I just failed to reproduce this with any of today's three Firefox nightlies --
firefox-2006-01-09-03-mozilla1.8.0, firefox-2006-01-09-04-mozilla1.8 and
firefox-2006-01-09-05-trunk (i.e. DeerPark).

Reporter, did you check the permissions (and ownership) on the prefs.js file
in your old profile (or on the directory structure itself)?  Restrictive
permissions might explain the problem you saw.

Otherwise I suspect this should just be marked WFM.
Comment 6 timeless 2006-01-28 16:18:24 PST
this is not security sensitive hiding this report only restricts our qa from investigating.
Comment 7 Steven Michaud [:smichaud] (Retired) 2006-01-28 18:04:38 PST
Thanks, timeless!

Could you also look at bug 318677, and remove that bug's security flag if you
think that's appropriate?

Comment 8 Josh Aas 2009-12-17 16:16:02 PST
What branches does this repro on?
Comment 9 Serge Gautherie (:sgautherie) 2012-03-22 22:14:34 PDT
'security.enable_java' preference doesn't exist anymore.

R.Invalid.

Note You need to log in before you can comment on or make changes to this bug.